ctr-httpwn and 11.4 question

Discussion in '3DS - Homebrew Development and Emulators' started by petethepug, Jul 19, 2017.

  1. petethepug
    OP

    petethepug PUG

    Member
    1,323
    350
    May 2, 2016
    United States
    COMPUTER
    So earlier in a not so far away galaxy I upgraded my 3ds's firmware to 11.4. Now that 11.5 is out I didn't feel so sure about updating because I know Nintendo might do something or pull their playing card to stop a certain service. I wouldn't have cared that much if I didn't have the problem in the first place but I needed to update one of my games to a future version which I had no problem doing. I went into the application and updated my game but it said it required the latest firmware to be on.

    So naturally, because I had an open source eshop clone I went in and installed the update to my game and then as soon as I exited out of freeshop to my main menu pressing the home button my 3ds crashed, and the update was never applied to the game. So I tried again and crashed, tried it a third time for kicks no luck. I decided to go ahead since I had an older version of my nand to downgrade my 3ds to 11.2 and once I did I immedetly checked to see if the issue was still occurring and it was. Minus the fact that freeshop now downloads updates successfully without crashing, nothing changed about the problem I had.

    I was curious if anyone who is still currently on 11.3 or lower and hasn't updated to 11.4 - 11.5 yet, if they are getting that issue. Yellow's 8 page mentioned that firmwares between 9.0 & 11.3 are compatible with ctr-httpwn and also mention due to the 11.4 system update ctr-httpwn was patched. https://github.com/yellows8/ctr-httpwn/blob/master/README.md#supported-sysmodule-versions here on supported system module versions.
    I'd also assume since ctr-httpwn is patched on 11.4, online services wouldn't work that are officially supported by Nintendo.
    And any update information of ctr-httpwn would carry over to older versions of the console firmware if the console was updated to 11.4 to stop the vulnerability of ctr-httpwn.
     
    Last edited by petethepug, Jul 19, 2017
  2. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,993
    1,870
    Mar 28, 2016
    United States
    Asshai
    Why not just update? It's been confirmed it 11.5 doesn't even update native_firm or anything relative to *hax*. It's pretty much just 11.4 rebranded for the N2DS.
     
  3. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ Spooky cute.

    Member
    20,079
    21,201
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Just update to 11.5, it added nothing new and it didn't cause any damages. Please stop being paranoid.
    Nintendo didn't add anything spooky to 11.5.
    You can also say freeShop on the Temp.
     
    Last edited by Lilith Valentine, Jul 20, 2017
    Quantumcat likes this.
  4. Glyptofane

    Glyptofane GBAtemp Advanced Fan

    Member
    544
    267
    Feb 12, 2009
    United States
    I'm still on 11.3 with Luma 8.2 and recently used ctr-httpwn to install the update for Ever Oasis, but it was through an official prompt on the HOME Menu, not freeShop.
     
  5. petethepug
    OP

    petethepug PUG

    Member
    1,323
    350
    May 2, 2016
    United States
    COMPUTER
    Its better safe than sorry if something eye popping comes out, that would ruin CFW. And since Nintendo still has plans on supporting the console, it would kind of lead me to think that they have plans for something in the future like ruining freeshop or homebrew more depending on how long they want to keep the console alive. That's just me though.

    Strange becuase it seems like Nintendo added something to block off ctr-httpwn, and I heard that anyone on 11.4 had their console reset when connecting to an online game/service that Nintendo had (that's what I saw on reddit atleast though but I can't confirm it atleast right now since i'm on 11.2.)

    ctr-httpwn still works for me on 11.2 but for some reason updating software on the home menu doesn't and it prompts me to update the system.